%global momorel 1

Summary: Params-Validate module for perl 
Name: perl-Params-Validate
Version: 0.91
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Params/Params-Validate-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Params/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 1:5.8.1

%description
Params-Validate module for perl

%prep
%setup -q -n Params-Validate-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f
find %{buildroot} -type f -name '*.bs' -a -empty -delete || :
find %{buildroot} -depth -type d -a -empty -delete || :

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Params-Validate-%{version}-filelist
if [ "$(cat Params-Validate-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Params-Validate-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Sun May  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.91-1m)
- update to 0.91

* Fri May  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.90-1m)
- update to 0.90

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.89-2m)
- rebuild against gcc43

* Thu Nov  1 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.89-1m)
- update to 0.89

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.88-2m)
- use vendor

* Sun Apr  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.88-1m)
- update to 0.88

* Fri Jan 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.87-1m)
- update to 0.87

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.86-1m)
- spec file was autogenerated
